org.apache.hc.client5.http

## Class RedirectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.http.HttpException
      - - org.apache.hc.core5.http.ProtocolException
        - - org.apache.hc.client5.http.RedirectException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CircularRedirectException

    public class RedirectException
    extends org.apache.hc.core5.http.ProtocolException

Signals violation of HTTP specification caused by an invalid redirect

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RedirectException()` Creates a new RedirectException with a `null` detail message.
`RedirectException(String message)` Creates a new RedirectException with the specified detail message.
`RedirectException(String message, Throwable cause)` Creates a new RedirectException with the specified detail message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RedirectException

    public RedirectException()

Creates a new RedirectException with a `null` detail message.

#### RedirectException

    public RedirectException(String message)

Creates a new RedirectException with the specified detail message.

Parameters:
  `message` - The exception detail message

#### RedirectException

    public RedirectException(String message,
                             Throwable cause)

Creates a new RedirectException with the specified detail message and cause.

Parameters:
  `message` - the exception detail message
  `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`